From b9f43055f24ecd80ce470024915a30ed5b0aa8ab Mon Sep 17 00:00:00 2001
From: Zhao Junwang <zhjwpku@gmail.com>
Date: Tue, 6 Aug 2024 10:08:34 +0000
Subject: [PATCH v2 2/2] fix stale comments

PartitionCmd is used by ALTER TABLE/INDEX ATTACH/DETACH/MERGE/SPLIT,
the comments do not reflect that.

Signed-off-by: Zhao Junwang <zhjwpku@gmail.com>
---
 src/include/nodes/parsenodes.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/include/nodes/parsenodes.h b/src/include/nodes/parsenodes.h
index 9ccdcb9eff..f9a2a50e8d 100644
--- a/src/include/nodes/parsenodes.h
+++ b/src/include/nodes/parsenodes.h
@@ -950,12 +950,13 @@ typedef struct SinglePartitionSpec
 } SinglePartitionSpec;
 
 /*
- * PartitionCmd - info for ALTER TABLE/INDEX ATTACH/DETACH PARTITION commands
+ * PartitionCmd - info for ALTER TABLE/INDEX ATTACH/DETACH/MERGE/SPLIT PARTITION commands
  */
 typedef struct PartitionCmd
 {
 	NodeTag		type;
-	RangeVar   *name;			/* name of partition to attach/detach */
+	RangeVar   *name;			/* name of partition to
+								 * attach/detach/merge/split */
 	PartitionBoundSpec *bound;	/* FOR VALUES, if attaching */
 	List	   *partlist;		/* list of partitions, for MERGE/SPLIT
 								 * PARTITION command */
-- 
2.39.2

